GET
/
api
/
applications
/
{application_id}
/
documents
List Documents
curl --request GET \
  --url https://monitoring.safeturf.ai/api/applications/{application_id}/documents \
  --header 'Authorization: Basic <encoded-value>'
Returns all uploaded documents. Use on the document step to check what’s been provided before enabling submit.
application_id
string
required
Application UUID.
curl "https://monitoring.safeturf.ai/api/applications/550e8400-e29b-41d4-a716-446655440000/documents" \
  -H "Authorization: Bearer <token>"
{
  "application_id": "550e8400-e29b-41d4-a716-446655440000",
  "documents": [
    {
      "id": "doc-uuid",
      "document_type": "voided_check",
      "filename": "check.pdf",
      "gdrive_url": "https://drive.google.com/...",
      "uploaded_by": "applicant",
      "created_at": "2025-03-10T13:00:00+00:00"
    }
  ]
}